-- Main.lua
-- Originally TheOneBagWindow.lua written by Rod, extended by Habna

import "HabnaPlugins.HugeBag";

frmMain = frmMain();

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, false );
Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, false );


HugeBagCommand = Turbine.ShellCommand();

function HugeBagCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		Turbine.Shell.WriteLine( "HugeBag: Please use the 'toggle' command instead of 'show'" );
	elseif ( arguments == "hide" ) then
		Turbine.Shell.WriteLine( "HugeBag: Please use the 'toggle' command instead of 'hide'" );
	elseif ( arguments == "toggle" ) then
		HugeBagWin:SetVisible( not HugeBagWin:IsVisible() );
	elseif ( arguments == "version" ) then
		VersionInfo()
	elseif ( arguments == "author" or arguments == "authors" ) then
		AuthorsInfo()
	elseif ( arguments == "reset" ) then
		ResetSettings()
	elseif ( arguments == "help" or arguments == "?") then
		HelpInfo()
	elseif ( arguments == "slotsinfo" ) then
		SlotsInfo()
	elseif ( arguments == "unload" or arguments == "doom" ) then
		UnloadHugeBag()
	elseif ( arguments == "reload" ) then
		ReloadHugeBag()
	elseif ( arguments == "toggleshow" ) then
		ToggleShow()
	elseif ( arguments == "toggleslots" ) then
		ToggleSlotsInfo()
	else
		Turbine.Shell.WriteLine( "HugeBag: command not supported" );
	end
end

Turbine.Shell.AddCommand( "HugeBag", HugeBagCommand );
if StartVisible == false then
	Turbine.Shell.WriteLine( "HugeBag: loaded BUT NOT visible" );
else
	Turbine.Shell.WriteLine( "HugeBag: loaded" );
end

Turbine.Plugin.Unload = function( self, sender, args )
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack1, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack2, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack3, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack4, true );
	Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Backpack5, true );
end